package main

import (
	"fmt"

	"github.com/kr/pretty"
)

type LineItem struct {
	ID          int
	Description string
	Value       int64
}

type Order struct {
	ID        int
	LineItems []*LineItem
}

func main() {
	o := Order{
		ID: 1,
		LineItems: []*LineItem{
			&LineItem{ID: 1, Description: "plush gopher", Value: 1999},
			&LineItem{ID: 2, Description: "gopher stickers - 100", Value: 999},
		},
	}
	fmt.Println(`fmt.Printf("%#+v\n", o)`)
	fmt.Printf("%#+v\n\n", o)

	fmt.Println(`pretty.Println(o)`)
	pretty.Println(o)
}
